milter-manager-objects
3
milter managerライブラリ

# milter-manager-objects

## プロパティ

gchar * | data | Read / Write
gchar * | description | Read / Write
gchar * | name | Read / Write
MilterManagerConfiguration * | configuration | Read / Write / Construct Only
MilterEventLoop * | event-loop | Read / Write / Construct Only
guint | tag | Read
guint | chunk-size | Read / Write / Construct
guint | connection-check-interval | Read / Write / Construct
gchar * | controller-connection-spec | Read / Write / Construct
gchar * | controller-unix-socket-group | Read / Write / Construct
guint | controller-unix-socket-mode | Read / Write / Construct
gchar * | custom-configuration-directory | Read / Write / Construct
gboolean | daemon | Read / Write / Construct
guint | default-packet-buffer-size | Read / Write
gchar * | effective-group | Read / Write / Construct
gchar * | effective-user | Read / Write / Construct
MilterClientEventLoopBackend | event-loop-backend | Read / Write
MilterStatus | fallback-status | Read / Write / Construct
MilterStatus | fallback-status-at-disconnect | Read / Write / Construct
guint | maintenance-interval | Read / Write / Construct
gchar * | manager-connection-spec | Read / Write / Construct
gchar * | manager-unix-socket-group | Read / Write / Construct
guint | manager-unix-socket-mode | Read / Write / Construct
guint | max-connections | Read / Write / Construct
guint | max-file-descriptors | Read / Write / Construct
guint | max-pending-finished-sessions | Read / Write
guint | n-workers | Read / Write
gchar * | package-options | Read / Write / Construct
gchar * | package-platform | Read / Write / Construct
gchar * | pid-file | Read / Write / Construct
gchar * | prefix | Read
gboolean | privilege-mode | Read / Write / Construct
gboolean | remove-controller-unix-socket-on-close | Read / Write / Construct
gboolean | remove-controller-unix-socket-on-create | Read / Write / Construct
gboolean | remove-manager-unix-socket-on-close | Read / Write / Construct
gboolean | remove-manager-unix-socket-on-create | Read / Write / Construct
guint | suspend-time-on-unacceptable | Read / Write / Construct
gchar * | syslog-facility | Read / Write / Construct
gboolean | use-syslog | Read / Write / Construct
gchar * | command | Read / Write
gchar * | command-options | Read / Write
gchar * | connection-spec | Read
gdouble | connection-timeout | Read / Write
gchar * | description | Read / Write
gboolean | enabled | Read / Write
gdouble | end-of-message-timeout | Read / Write
gboolean | evaluation-mode | Read / Write
MilterStatus | fallback-status | Read / Write
gchar * | name | Read / Write
gdouble | reading-timeout | Read / Write
gchar * | user-name | Read / Write
gdouble | writing-timeout | Read / Write
MilterManagerChildren * | children | Read
MilterClientContext * | client-context | Read / Write
MilterManagerConfiguration * | configuration | Read / Write

## シグナル

void | attach-to | Run Last
void | connected | Run Last
void | to-xml | Run Last
void | hatched | Run Last
void | to-xml | Run Last
gboolean | connection-check | Run Last

## Types and Values

| MilterManagerApplicableCondition
| MilterManagerChildren
| MilterManagerConfiguration
| MilterManagerEgg
| MilterManagerLeader

## オブジェクト階層

        GObject
        ├── MilterManagerApplicableCondition
        ├── MilterManagerChildren
        ├── MilterManagerConfiguration
        ├── MilterManagerEgg
        ╰── MilterManagerLeader

## 実装されたインターフェイス

MilterManagerChildren implements

MilterManagerEgg implements

MilterManagerLeader implements

## 説明

## Functions

## Types and Values

### MilterManagerApplicableCondition

    typedef struct _MilterManagerApplicableCondition MilterManagerApplicableCondition;

### MilterManagerChildren

    typedef struct _MilterManagerChildren MilterManagerChildren;

### MilterManagerConfiguration

    typedef struct _MilterManagerConfiguration MilterManagerConfiguration;

### MilterManagerEgg

    typedef struct _MilterManagerEgg MilterManagerEgg;

### MilterManagerLeader

    typedef struct _MilterManagerLeader MilterManagerLeader;

## プロパティ詳細

### The `“data”` property

      “data”                     gchar *

The data of the applicable condition.

Flags: Read / Write

デフォルト値: NULL

### The `“description”` property

      “description”              gchar *

The description of the applicable condition.

Flags: Read / Write

デフォルト値: NULL

### The `“name”` property

      “name”                     gchar *

The name of the applicable condition.

Flags: Read / Write

デフォルト値: NULL

### The `“configuration”` property

      “configuration”            MilterManagerConfiguration *

The configuration of the milter controller.

Flags: Read / Write / Construct Only

### The `“event-loop”` property

      “event-loop”               MilterEventLoop *

The event loop of the milter controller.

Flags: Read / Write / Construct Only

### The `“tag”` property

      “tag”                      guint

The tag of the agent.

Flags: Read

デフォルト値: 0

### The `“chunk-size”` property

      “chunk-size”               guint

The chunk size of the milter-manager.

Flags: Read / Write / Construct

Allowed values: [1,65535]

Default value: 65535

### The `“connection-check-interval”` property

      “connection-check-interval” guint

The interval in seconds for checking whether SMTP connection between SMTP client and server is still connected or disconnected from SMTP client.

Flags: Read / Write / Construct

デフォルト値: 0

### The `“controller-connection-spec”` property

      “controller-connection-spec” gchar *

The controller connection spec of the milter-manager.

Flags: Read / Write / Construct

デフォルト値: NULL

### The `“controller-unix-socket-group”` property

      “controller-unix-socket-group” gchar *

The milter-manager controller's UNIX socket group.

Flags: Read / Write / Construct

デフォルト値: NULL

### The `“controller-unix-socket-mode”` property

      “controller-unix-socket-mode” guint

The milter-manager controller's UNIX socket mode.

Flags: Read / Write / Construct

Allowed values: <= 511

Default value: 432

### The `“custom-configuration-directory”` property

      “custom-configuration-directory” gchar *

The directory for custom configuration.

Flags: Read / Write / Construct

デフォルト値: NULL

### The `“daemon”` property

      “daemon”                   gboolean

Whether milter-manager runs as daemon process.

Flags: Read / Write / Construct

Default value: FALSE

### The `“default-packet-buffer-size”` property

      “default-packet-buffer-size” guint

The default packet buffer size of client contexts of the client.

Flags: Read / Write

デフォルト値: 0

### The `“effective-group”` property

      “effective-group”          gchar *

The effective group name of the milter-manager.

Flags: Read / Write / Construct

デフォルト値: NULL

### The `“effective-user”` property

      “effective-user”           gchar *

The effective user name of the milter-manager.

Flags: Read / Write / Construct

デフォルト値: NULL

### The `“event-loop-backend”` property

      “event-loop-backend”       MilterClientEventLoopBackend

The event loop backend of the configuration.

Flags: Read / Write

Default value: MILTER_CLIENT_EVENT_LOOP_BACKEND_GLIB

### The `“fallback-status”` property

      “fallback-status”          MilterStatus

The fallback status of the milter-manager.

Flags: Read / Write / Construct

Default value: MILTER_STATUS_ACCEPT

### The `“fallback-status-at-disconnect”` property

      “fallback-status-at-disconnect” MilterStatus

The fallback status at disconnect of the milter-manager.

Flags: Read / Write / Construct

Default value: MILTER_STATUS_TEMPORARY_FAILURE

### The `“maintenance-interval”` property

      “maintenance-interval”     guint

Run maintenance process in after each N sessions. 0 means that periodical maintenance process isn't run.

Flags: Read / Write / Construct

デフォルト値: 10

### The `“manager-connection-spec”` property

      “manager-connection-spec”  gchar *

The manager connection spec of the milter-manager.

Flags: Read / Write / Construct

Default value: "unix:/run/milter-manager/milter-manager.sock"

### The `“manager-unix-socket-group”` property

      “manager-unix-socket-group” gchar *

The milter-manager's UNIX socket group.

Flags: Read / Write / Construct

デフォルト値: NULL

### The `“manager-unix-socket-mode”` property

      “manager-unix-socket-mode” guint

The milter-manager's UNIX socket mode.

Flags: Read / Write / Construct

Allowed values: <= 511

Default value: 432

### The `“max-connections”` property

      “max-connections”          guint

Max number of concurrent connections.

Flags: Read / Write / Construct

デフォルト値: 0

### The `“max-file-descriptors”` property

      “max-file-descriptors”     guint

Max number of concurrent file descriptors.

Flags: Read / Write / Construct

デフォルト値: 0

### The `“max-pending-finished-sessions”` property

      “max-pending-finished-sessions” guint

The maximum number of pending finished sessions of milter-manager.

Flags: Read / Write

デフォルト値: 0

### The `“n-workers”` property

      “n-workers”                guint

The number of worker processes of the client.

Flags: Read / Write

Allowed values: <= 1000

デフォルト値: 0

### The `“package-options”` property

      “package-options”          gchar *

The package options of the milter-manager.

Flags: Read / Write / Construct

デフォルト値: NULL

### The `“package-platform”` property

      “package-platform”         gchar *

The package platform of the milter-manager.

Flags: Read / Write / Construct

Default value: "debian"

### The `“pid-file”` property

      “pid-file”                 gchar *

The file name to be saved process ID.

Flags: Read / Write / Construct

デフォルト値: NULL

### The `“prefix”` property

      “prefix”                   gchar *

The prefix of install directory.

Flags: Read

デフォルト値: NULL

### The `“privilege-mode”` property

      “privilege-mode”           gboolean

Whether MilterManager runs on privilege mode.

Flags: Read / Write / Construct

Default value: FALSE

### The `“remove-controller-unix-socket-on-close”` property

      “remove-controller-unix-socket-on-close” gboolean

Whether milter-manager removes UNIX socket used for controller on close.

Flags: Read / Write / Construct

デフォルト値: TRUE

### The `“remove-controller-unix-socket-on-create”` property

      “remove-controller-unix-socket-on-create” gboolean

Whether milter-manager removes UNIX socket used for controller on create.

Flags: Read / Write / Construct

デフォルト値: TRUE

### The `“remove-manager-unix-socket-on-close”` property

      “remove-manager-unix-socket-on-close” gboolean

Whether milter-manager removes UNIX socket used for manager on close.

Flags: Read / Write / Construct

デフォルト値: TRUE

### The `“remove-manager-unix-socket-on-create”` property

      “remove-manager-unix-socket-on-create” gboolean

Whether milter-manager removes UNIX socket used for manager on create.

Flags: Read / Write / Construct

デフォルト値: TRUE

### The `“suspend-time-on-unacceptable”` property

      “suspend-time-on-unacceptable” guint

Suspend time on unacceptable.

Flags: Read / Write / Construct

Default value: 5

### The `“syslog-facility”` property

      “syslog-facility”          gchar *

The syslog facility of the milter-manager.

Flags: Read / Write / Construct

デフォルト値: NULL

### The `“use-syslog”` property

      “use-syslog”               gboolean

Whether milter-manager uses syslog.

Flags: Read / Write / Construct

デフォルト値: TRUE

### The `“command”` property

      “command”                  gchar *

The command of the milter egg.

Flags: Read / Write

デフォルト値: NULL

### The `“command-options”` property

      “command-options”          gchar *

The command options string of the milter egg.

Flags: Read / Write

デフォルト値: NULL

### The `“connection-spec”` property

      “connection-spec”          gchar *

The connection spec of the milter egg.

Flags: Read

デフォルト値: NULL

### The `“connection-timeout”` property

      “connection-timeout”       gdouble

The connection timeout of the milter egg.

Flags: Read / Write

Allowed values: >= 0

Default value: 297

### The `“description”` property

      “description”              gchar *

The description of the milter egg.

Flags: Read / Write

デフォルト値: NULL

### The `“enabled”` property

      “enabled”                  gboolean

Whether the milter egg is enabled or not.

Flags: Read / Write

デフォルト値: TRUE

### The `“end-of-message-timeout”` property

      “end-of-message-timeout”   gdouble

The end-of-message timeout of the milter egg.

Flags: Read / Write

Allowed values: >= 0

Default value: 297

### The `“evaluation-mode”` property

      “evaluation-mode”          gboolean

Whether the milter's result is ignored or not.

Flags: Read / Write

Default value: FALSE

### The `“fallback-status”` property

      “fallback-status”          MilterStatus

Fallback status on error.

Flags: Read / Write

Default value: MILTER_STATUS_ACCEPT

### The `“name”` property

      “name”                     gchar *

The name of the milter egg.

Flags: Read / Write

デフォルト値: NULL

### The `“reading-timeout”` property

      “reading-timeout”          gdouble

The reading timeout of the milter egg.

Flags: Read / Write

Allowed values: >= 0

Default value: 7

### The `“user-name”` property

      “user-name”                gchar *

The user name of a egged milter.

Flags: Read / Write

デフォルト値: NULL

### The `“writing-timeout”` property

      “writing-timeout”          gdouble

The writing timeout of the milter egg.

Flags: Read / Write

Allowed values: >= 0

Default value: 7

### The `“children”` property

      “children”                 MilterManagerChildren *

The object manages child milters.

Flags: Read

### The `“client-context”` property

      “client-context”           MilterClientContext *

The client context of the milter leader.

Flags: Read / Write

### The `“configuration”` property

      “configuration”            MilterManagerConfiguration *

The configuration of the milter leader.

Flags: Read / Write

## シグナル詳細

### The `“attach-to”` signal

    void
    user_function (MilterManagerApplicableCondition *miltermanagerapplicablecondition,
                   MilterManagerChild               *arg1,
                   MilterManagerChildren            *arg2,
                   MilterClientContext              *arg3,
                   gpointer                          user_data)

Flags: Run Last

### The `“connected”` signal

    void
    user_function (MilterManagerConfiguration *miltermanagerconfiguration,
                   MilterManagerLeader        *arg1,
                   gpointer                    user_data)

Flags: Run Last

### The `“to-xml”` signal

    void
    user_function (MilterManagerConfiguration *miltermanagerconfiguration,
                   gpointer                    arg1,
                   guint                       arg2,
                   gpointer                    user_data)

Flags: Run Last

### The `“hatched”` signal

    void
    user_function (MilterManagerEgg   *miltermanageregg,
                   MilterManagerChild *arg1,
                   gpointer            user_data)

Flags: Run Last

### The `“to-xml”` signal

    void
    user_function (MilterManagerEgg *miltermanageregg,
                   gpointer          arg1,
                   guint             arg2,
                   gpointer          user_data)

Flags: Run Last

### The `“connection-check”` signal

    gboolean
    user_function (MilterManagerLeader *miltermanagerleader,
                   gpointer             user_data)

Flags: Run Last